﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Terraria;
using Terraria.ID;
using Terraria.Localization;
using Terraria.ModLoader;
using Terraria.WorldBuilding;

namespace Continuity.Content.Tiles
{
    public class CoalTile : ModTile
    {
        public override void SetStaticDefaults()
        {

            TileID.Sets.Ore[Type] = true;
            Main.tileSpelunker[Type] = true; // The tile will be affected by spelunker highlighting
            Main.tileMergeDirt[Type] = true;
            Main.tileSolid[Type] = true;
            Main.tileBlockLight[Type] = true;
            Main.tileLavaDeath[Type] = true;

            LocalizedText name = CreateMapEntryName();
            AddMapEntry(new Color(55, 51, 52), name);

            DustType = 84;
            HitSound = SoundID.Tink;
        }
    }

}
